- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_soap_fault.h File Reference

axiom_soap_fault struct More...

`#include <axiom_soap_const.h>`
`#include <axutil_env.h>`
`#include <axiom_node.h>`
`#include <axiom_element.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_soap_fault | axiom_soap_fault_t
## Functions
AXIS2_EXTERN axiom_soap_fault_t * | axiom_soap_fault_create_with_parent (const axutil_env_t *env, struct axiom_soap_body *parent)
AXIS2_EXTERN axiom_soap_fault_t * | axiom_soap_fault_create_with_exception (const axutil_env_t *env, struct axiom_soap_body *parent, axis2_char_t *exception)
AXIS2_EXTERN axiom_soap_fault_t * | axiom_soap_fault_create_default_fault (const axutil_env_t *env, struct axiom_soap_body *parent, const axis2_char_t *code_value, const axis2_char_t *reason_text, const int soap_version)
AXIS2_EXTERN void | axiom_soap_fault_free (axiom_soap_fault_t *fault, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_fault_code * | axiom_soap_fault_get_code (axiom_soap_fault_t *fault, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_fault_reason * | axiom_soap_fault_get_reason (axiom_soap_fault_t *fault, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_fault_node * | axiom_soap_fault_get_node (axiom_soap_fault_t *fault, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_fault_role * | axiom_soap_fault_get_role (axiom_soap_fault_t *fault, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_fault_detail * | axiom_soap_fault_get_detail (axiom_soap_fault_t *fault, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_soap_fault_get_exception (axiom_soap_fault_t *fault, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_fault_set_exception (axiom_soap_fault_t *fault, const axutil_env_t *env, axis2_char_t *exception)
AXIS2_EXTERN axiom_node_t * | axiom_soap_fault_get_base_node (axiom_soap_fault_t *fault, const axutil_env_t *env)

## Detailed Description

axiom_soap_fault struct